Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
FormState::getErrors function core/lib/Drupal/Core/Form/FormState.php Returns an associative array of all errors.
FormState::getFormObject function core/lib/Drupal/Core/Form/FormState.php Returns the form object that is responsible for building this form.
FormState::getGroups function core/lib/Drupal/Core/Form/FormState.php Returns references to details elements to render them within vertical tabs.
FormState::getIgnoreDestination function core/lib/Drupal/Core/Form/FormState.php Gets whether the redirect respects the destination query parameter.
FormState::getLimitValidationErrors function core/lib/Drupal/Core/Form/FormState.php Retrieves the limited validation error sections.
FormState::getRebuildInfo function core/lib/Drupal/Core/Form/FormState.php Gets the rebuild info.
FormState::getRedirect function core/lib/Drupal/Core/Form/FormState.php Gets the value to use for redirecting after the form has been executed.
FormState::getResponse function core/lib/Drupal/Core/Form/FormState.php Gets a response for this form.
FormState::getStorage function core/lib/Drupal/Core/Form/FormState.php Returns the entire set of arbitrary data.
FormState::getSubmitHandlers function core/lib/Drupal/Core/Form/FormState.php Gets the submit handlers.
FormState::getTemporary function core/lib/Drupal/Core/Form/FormState.php Gets temporary data.
FormState::getTemporaryValue function core/lib/Drupal/Core/Form/FormState.php Gets an arbitrary value from temporary storage.
FormState::getTriggeringElement function core/lib/Drupal/Core/Form/FormState.php Gets the form element that triggered submission.
FormState::getUserInput function core/lib/Drupal/Core/Form/FormState.php Returns the form values as they were submitted by the user.
FormState::getValidateHandlers function core/lib/Drupal/Core/Form/FormState.php Gets the validate handlers.
FormState::getValues function core/lib/Drupal/Core/Form/FormState.php Implements \Drupal\Core\Form\FormStateInterface::getValues()
FormState::has function core/lib/Drupal/Core/Form/FormState.php Determines if a property is present in the form state storage.
FormState::hasAnyErrors function core/lib/Drupal/Core/Form/FormState.php Determines if any forms have any errors.
FormState::hasFileElement function core/lib/Drupal/Core/Form/FormState.php Returns whether this form has a file element.
FormState::hasInvalidToken function core/lib/Drupal/Core/Form/FormState.php Determines if the form has an invalid token.
FormState::hasTemporaryValue function core/lib/Drupal/Core/Form/FormState.php Determines if a temporary value is present.
FormState::isBypassingProgrammedAccessChecks function core/lib/Drupal/Core/Form/FormState.php Determines if this form submission should bypass #access.
FormState::isCached function core/lib/Drupal/Core/Form/FormState.php Determines if the form should be cached.
FormState::isExecuted function core/lib/Drupal/Core/Form/FormState.php Determines if the form was submitted and has been processed and executed.
FormState::isMethodType function core/lib/Drupal/Core/Form/FormState.php Returns the HTTP form method.
FormState::isProcessingInput function core/lib/Drupal/Core/Form/FormState.php Determines if the form input will be processed.
FormState::isProgrammed function core/lib/Drupal/Core/Form/FormState.php Returns if this form was submitted programmatically.
FormState::isRebuilding function core/lib/Drupal/Core/Form/FormState.php Determines if the form should be rebuilt after processing.
FormState::isRedirectDisabled function core/lib/Drupal/Core/Form/FormState.php Determines if redirecting has been prevented.
FormState::isRequestMethodSafe function core/lib/Drupal/Core/Form/FormState.php Checks whether the request method is a "safe" HTTP method.
FormState::isSubmitted function core/lib/Drupal/Core/Form/FormState.php Determines if the form has been submitted.
FormState::isValidationComplete function core/lib/Drupal/Core/Form/FormState.php Determines if validation has been completed.
FormState::isValidationEnforced function core/lib/Drupal/Core/Form/FormState.php Checks if validation is enforced.
FormState::loadInclude function core/lib/Drupal/Core/Form/FormState.php Ensures an include file is loaded whenever the form is processed.
FormState::moduleLoadInclude function core/lib/Drupal/Core/Form/FormState.php Wraps ModuleHandler::loadInclude().
FormState::prepareCallback function core/lib/Drupal/Core/Form/FormState.php Converts support notations for a form callback to a valid callable.
FormState::set function core/lib/Drupal/Core/Form/FormState.php Sets the value for a property in the form state storage.
FormState::setAlwaysProcess function core/lib/Drupal/Core/Form/FormState.php Sets this form to always be processed.
FormState::setAnyErrors function core/lib/Drupal/Core/Form/FormState.php Sets the global status of errors.
FormState::setBuildInfo function core/lib/Drupal/Core/Form/FormState.php Sets the build info for the form.
FormState::setButtons function core/lib/Drupal/Core/Form/FormState.php Stores the submit and button elements for the form.
FormState::setCached function core/lib/Drupal/Core/Form/FormState.php Sets this form to be cached.
FormState::setCleanValueKeys function core/lib/Drupal/Core/Form/FormState.php Sets the keys of the form values that will be cleaned.
FormState::setCompleteForm function core/lib/Drupal/Core/Form/FormState.php Stores the complete form array.
FormState::setError function core/lib/Drupal/Core/Form/FormState.php Flags an element as having an error.
FormState::setErrorByName function core/lib/Drupal/Core/Form/FormState.php Files an error against a form element.
FormState::setExecuted function core/lib/Drupal/Core/Form/FormState.php Sets that the form was submitted and has been processed and executed.
FormState::setFormObject function core/lib/Drupal/Core/Form/FormState.php Sets the form object that is responsible for building this form.
FormState::setFormState function core/lib/Drupal/Core/Form/FormState.php Sets the value of the form state.
FormState::setGroups function core/lib/Drupal/Core/Form/FormState.php Sets references to details elements to render them within vertical tabs.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.